/*
 * console_handler.h
 *
 *  Created on: Mar 11, 2019
 *      Author: nxf47030
 */

#ifndef CONSOLE_HANDLER_H_
#define CONSOLE_HANDLER_H_

#include <stdint.h>
#include "datawork.h"
//definitions
#define CONSOLE_LINE_LENGTH 200
//#define INPUT_STRING_SIZE 64

typedef struct _console_handler_struct
{
	uint8_t *inputStr;//[INPUT_STRING_SIZE 64];
	char consoleLine[CONSOLE_LINE_LENGTH];
	size_t Length;
	size_t CurPos;
}console_handler_t;


//functions

/*!
 * @brief Perform operation on special characters
 *
 *
 */
int32_t resolveChar(int32_t i);

void checkCommand();

void deleteChar();

void addChar(int32_t i);

void callCommand();

#endif /* CONSOLE_HANDLER_H_ */
